# Cancel Invite

> **BETA**

#### Description
This method allows an invite to be cancelled, please note the returned ICS attachment must be sent to the recipient in order for the event to be removed from their calendar.

#### URL format
```
{data_center_url}/v1/smart_invites
```

#### Example Request
```http
POST /v1/smart_invites HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8

{
  "method": "cancel",
  "recipient": {
    "email": "cronofy@example.com"
  },
  "smart_invite_id": "your-unique-identifier-for-invite"
}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "recipient": {
    "email": "cronofy@example.com",
    "status": "pending"
  },
  "smart_invite_id": "your-unique-identifier-for-invite",
  "callback_url": "https://yourapp.example.com/cronofy/smart_invite/notifications",
  "event": {
    "summary": "Board meeting",
    "description": "Discuss plans for the next quarter.",
    "start": {
      "time": "2026-04-28T09:30:00Z",
      "tzid": "Europe/London"
    },
    "end": {
      "time": "2026-04-28T10:00:00Z",
      "tzid": "Europe/London"
    },
    "location": {
      "description": "Board room"
    }
  },
  "attachments": {
    "icalendar": "BEGIN:VCALENDAR\nVERSION:2.0..."
  }
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `API_KEY` *(required)*

The `client_secret` of the application that manages the Smart Invite event.

##### `smart_invite_id` *(required)*

An identifier for the event within your application. Is used along with the recipient.email to uniquely identify the Smart Invite.

##### `recipient.email` *(required)*

The email address you are going to send the cancelled Smart Invite to.

##### `method` *(required)*

The method to use when creating the invite, must be `cancel` to cancel the event.

#### Response parameters
##### `recipient.email`

The email address of the recipient for the Smart Invite.

##### `recipient.status`

The current status of the recipient. Can be one of:

- `pending` have not received any response from the recipient

- `accepted` the recipient has accepted the invitation

- `tentative` the recipient has tentatively accepted the invitation

- `declined` the recipient has declined the invitation

##### `smart_invite_id`

The identifier for the event within your application.

##### `callback_url`

The URL within your application that Cronofy will send notifications to about user interactions with the Smart Invite.

##### `event`

The details of the event.

##### `attachments`

Attachments to add to the multipart email being sent to the recipient.

##### `attachments.icalendar`

the iCalendar representation of the event to to sent to the user.

Please see our best practices on [sending Smart Invite ICS files](/developers/smart-invites/sending/index.md) - in particular that the `Content-Type` `method` should be set to `CANCEL` in the case of cancellations.



---
[Read in HTML](/developers/api/smart-invites/cancel-invite/)